Servoy JasperReports Plugin - Defect #500

plugins.jasperPluginRMI.readFileFromReportsDir fails with Java lang exception in Servoy 6.1 beta 2
04/21/2012 11:14 AM - Rossen Totev
Description

In Servoy 6.1 b2 calling plugins.jasperPluginRMI.readFileFromReportsDir fails with Java lang exception.

History

#1 - 04/23/2012 09:03 AM - Andrei Costache

Are there any errors in the log? or more details in the Java console?

Do other functions/properties of the plugin work (like reportDirectory, run report)?

#2 - 04/23/2012 09:24 AM - Rossen Totev

Here is what | found in the log file:

2012-04-23 10:17:38,526 ERROR [pool-3-thread-1] com.servoy.j2db.util.Debug - Couldn't get remote service: 'ser
voy.IJasperReportService' for a not authenticated client: '4ClCE7A7-EF34-4A36-BBEE-BD54FODAFBEE', see admin p
age for setting: servoy.application_server.trustedRemotePlugins [ ]
2012-04-23 10:17:38,526 ERROR [pool-3-thread-1] com.servoy.j2db.util.Debug - Error ocured initializing plugin:
jasperPluginRMI [ ]

com.servoy.j2db.plugins.PluginException: java.lang.RuntimeException: Couldn't get remote service: 'servoy.IJas
perReportService' for a not authenticated client

at com.servoy.plugins. jasperreports.JasperReportsPlugin.initialize (JasperReportsPlugin. java:82)

at com.servoy.j2db.smart.plugins.PluginManager.initClientPluginsEx (PluginManager. java:406)

at com.servoy.j2db.smart.plugins.PluginManager.initClientPlugins (PluginManager. java:265)

at com.servoy.j2db.smart.J2DBClient$13.run (J2DBClient.java:1115)

at java.util.concurrent.ThreadPoolExecutor$Worker.runTask (Unknown Source)

at Jjava.util.concurrent.ThreadPoolExecutor$Worker.run (Unknown Source)

at java.lang.Thread.run (Unknown Source)
Caused by: java.lang.RuntimeException: Couldn't get remote service: 'servoy.IJasperReportService' for a not au
thenticated client

at com.servoy.j2db.server.main.Zl.getRemoteService (Z1.java:69)

at com.servoy.j2db.ClientState.getServerService (ClientState. java:844)

at com.servoy.j2db.plugins.ClientPluginAccessProvider.getServerService (ClientPluginAccessProvider. java:335

at com.servoy.plugins. jasperreports.JasperReportsPlugin.initialize (JasperReportsPlugin. java:77)
6 more

2012-04-23 10:18:40,728 ERROR [AWT-EventQueue-0] com.servoy.j2db.util.Debug - Throwable [4ClCE7A7-EF34-4A36-BB
EE-BD54F0ODAFBEE jasper_report_plugin_issue]
java.lang.NullPointerException

at com.servoy.plugins. jasperreports.JasperReportRunner.adjustFileUnix (JasperReportRunner. java:363)

at com.servoy.plugins. jasperreports.JasperReportsServer.readFile (JasperReportsServer. java:391)

at com.servoy.plugins. jasperreports.JasperReportsProvider. js_readFileFromReportsDir (JasperReportsProvider.
java:732)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.mozilla. javascript.MemberBox.invoke (MemberBox.java:158)

at org.mozilla. javascript.NativeJavaMethod.call (NativeJavaMethod. java:311)

at org.mozilla. javascript.Interpreter.interpretLoop (Interpreter.java:1768)

at org.mozilla.javascript.Interpreter.interpret (Interpreter.java:837)

at org.mozilla. javascript.InterpretedFunction.call (InterpretedFunction. java:158)

at org.mozilla. javascript.ContextFactory.doTopCall (ContextFactory.java:406)

at org.mozilla. javascript.ScriptRuntime.doTopCall (ScriptRuntime. java:3190)

at org.mozilla. javascript.InterpretedFunction.call (InterpretedFunction. java:156)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction (ScriptEngine. java:546)
at com.servoy. j2db.debug.RemoteDebugScriptEngine.executeFunction (RemoteDebugScriptEngine. java:379)
at com.servoy.j2db.FormController.executeFunction (FormController. java:4486)

at com.servoy.j2db.FormController.executeFunction (FormController.java:4367)

at com.servoy.j2db.FormController.executeFunction (FormController. java:4260)

at com.servoy.j2db.FormController$ScriptExecuter.executeFunction (FormController. java:4116)
at com.servoy.j2db.ui.BaseEventExecutor.fireEventCommand (BaseEventExecutor. java:271)
at com.servoy.j2db.ui.BaseEventExecutor.fireActionCommand (BaseEventExecutor. java:217)
at com.servoy.j2db.ui.BaseEventExecutor.fireActionCommand (BaseEventExecutor. java:212)
at com.servoy.j2db.smart.datauil.AbstractScriptButtons$2.actionPerformed (AbstractScriptButton. java:655)
at javax.swing.AbstractButton.fireActionPerformed (Unknown Source)

at Jjavax.swing.AbstractButton$Handler.actionPerformed (Unknown Source)

at javax.swing.DefaultButtonModel.fireActionPerformed (Unknown Source)

at javax.swing.DefaultButtonModel.setPressed (Unknown Source)

at javax.swing.plaf.basic.BasicButtonListener.mouseReleased (Unknown Source)

at java.awt.Component.processMouseEvent (Unknown Source)

at javax.swing.JComponent.processMouseEvent (Unknown Source)

at java.awt.Component.processEvent (Unknown Source)

at java.awt.Container.processEvent (Unknown Source)

at java.awt.Component.dispatchEventImpl (Unknown Source)

at java.awt.Container.dispatchEventImpl (Unknown Source)

at java.awt.Component.dispatchEvent (Unknown Source)

at java.awt.LightweightDispatcher.retargetMouseEvent (Unknown Source)

at java.awt.LightweightDispatcher.processMouseEvent (Unknown Source)

at java.awt.LightweightDispatcher.dispatchEvent (Unknown Source)

at java.awt.Container.dispatchEventImpl (Unknown Source)

at java.awt.Window.dispatchEventImpl (Unknown Source)

at java.awt.Component.dispatchEvent (Unknown Source)

at java.awt.EventQueue.dispatchEventImpl (Unknown Source)

at Jjava.awt.EventQueue.access$000 (Unknown Source)

at java.awt.EventQueue$l.run (Unknown Source)

at Jjava.awt.EventQueue$l.run (Unknown Source)

at java.security.AccessController.doPrivileged (Native Method)

at java.security.AccessControlContext$l.doIntersectionPrivilege (Unknown Source)

at Jjava.security.AccessControlContext$l.doIntersectionPrivilege (Unknown Source)

at Jjava.awt.EventQueue$2.run (Unknown Source)

at java.awt.EventQueue$2.run (Unknown Source)

at java.security.AccessController.doPrivileged (Native Method)

at java.security.AccessControlContext$l.doIntersectionPrivilege (Unknown Source)

at java.awt.EventQueue.dispatchEvent (Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters (Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter (Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForHierarchy (Unknown Source)

at java.awt.EventDispatchThread.pumpEvents (Unknown Source)

at java.awt.EventDispatchThread.pumpEvents (Unknown Source)

at java.awt.EventDispatchThread.run (Unknown Source)
Adding the following to the server properties file and restarting does not seem to help:
servoy.application_server.trustedRemotePlugins=jasperPluginRMI
The plugins.jasperPluginRMI.reportDirectory returns <null> even though the directory.jasper.report is properly configured.

#3 - 04/23/2012 09:29 AM - Andrei Costache

In the admin page, please add servoy.lJasperReportService as the value of the servoy.application_server.trustedRemotePlugins property (or
servoy.application_server.trustedRemotePlugins=servoy.lJasperReportService in the properties file).

This should fix it.

#4 - 04/23/2012 09:37 AM - Rossen Totev

Hi Andrei,

Thanks for the quick response. Yes, adding servoy.application_server.trustedRemotePlugins=servoy.lJasperReportService to the

servoy.properties file does fix the issue! It will be great if this information is included in the release notes for Servoy 6.1 - will save some hassle for the
admins ;-)

#5 - 04/23/2012 09:40 AM - Andrei Costache
- Status changed from New to Closed
- Assignee set to Andrei Costache

- % Done changed from 0 to 100

Rossen, this will be documented with Servoy and the jasperReports plugin.
Regards,
Andrei
